/************************************************************************/
/*									*/
/*  This is the header file for the RCU driver 				*/
/*									*/
/*  15. Mar. 04  MAJO  created						*/
/*									*/
/*******C 2004 - The software with that certain something****************/

#ifndef _RCU_DRIVER_H
#define _RCU_DRIVER_H

#ifdef RCU_KERNEL_DEBUG
  #define kdebug(x) {if (debug) printk x;}
#else
  #define kdebug(x)
#endif


/*********/
/* Types */
/*********/
struct rcu_proc_data_t
{
  char name[10];
  char value[100];
};


/*************/
/* Constants */
/*************/
/* Get a minor range for your devices from the usb maintainer */
#define RCU_MINOR_BASE 192


/**************/
/* Prototypes */
/**************/
static int rcu_open (struct inode *inode, struct file *file);
static int proc_write_rcu(struct file *file, const char *buffer, unsigned long count, void *data);
static int proc_read_rcu(char *page, char **start, off_t off, int count, int *eof, void *data);
static int rcu_ioctl(struct inode *inode, struct file *file, unsigned int cmd, unsigned long arg);
static void rcu_irq(struct urb *urb);
static void rcu_write_irq(struct urb *urb);
static void rcu_read_irq(struct urb *urb);
static void rcu_disconnect(struct usb_device *udev, void *clientdata);
static void *rcu_probe(struct usb_device *udev, unsigned int ifnum, const struct usb_device_id *id);
int rcu_init(void);
void rcu_exit(void);

#endif
